#!/usr/bin/env node
"use strict";

var _chalk = _interopRequireDefault(require("chalk"));

var _yargs = _interopRequireDefault(require("yargs"));

var _tildify = _interopRequireDefault(require("tildify"));

var _package = _interopRequireDefault(require("../package.json"));

var _ = _interopRequireDefault(require("./"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

var _yargs$usage$option$o = _yargs.default.usage("Usage: ".concat(_chalk.default.cyan(_package.default.name, _chalk.default.underline("TWEET URL"), _chalk.default.underline("FILE PATH")))).option("h", {
  alias: "help",
  describe: "Show help",
  type: "boolean"
}).option("v", {
  alias: "version",
  describe: "Show version",
  type: "boolean"
}),
    argv = _yargs$usage$option$o.argv;

if (argv.help || argv.h) {
  _yargs.default.showHelp();

  process.exit();
}

if (argv.version || argv.v) {
  console.log(_package.default.version);
  process.exit();
}

if (argv._.length !== 2) {
  _yargs.default.showHelp();

  console.error(_chalk.default.red("Tweet URL and file path must be specified."));
  process.exit(1);
}

var _argv$_ = _slicedToArray(argv._, 2),
    tweetUrl = _argv$_[0],
    filePath = _argv$_[1];

console.log(_chalk.default.green("Screenshotting tweet \"".concat(tweetUrl, "\" to \"").concat((0, _tildify.default)(filePath), "\"...")));
(0, _.default)(tweetUrl, filePath).then(function () {
  console.log(_chalk.default.green("Done!"));
  process.exit();
}).catch(function (error) {
  console.error(_chalk.default.red(error));
  process.exit(1);
});